<?php include_once 'codebase/hyperframe.php' ?><!doctype html>
<html><head>
<title>System Requirements</title>
</head>
<body>
<h2>Hosting requirements</h2>

<p>&nbsp;Apache 2 webserver or LightTPD on Linux or Windows host<br />
&nbsp;php 5.2 or later, preferably 5.3 or later<br />
&nbsp;php directives controllable via any of .htaccess, php.ini or .user.ini<br />
&nbsp;Being file-based,<i> No</i> SQL or other database support is necessary<br />
&nbsp;<br />
&nbsp;These requirements will be met by the vast majority of hosting companies.<br />
&nbsp;Note that Microsoft IIS has NOT been tested as a platform, and might or might not work. (success reports welcome)<br />
&nbsp;For testing purposes on Windows desktops, we release a portable version with its own webserver.&nbsp;<br />
&nbsp;For testing on Linux, install Apache and php (in that order) from your distro&#39;s repository.</p>

<p>It should be noted that the host&#39;s php implementation must support <a href="http://php.net/manual/en/ini.core.php#ini.auto-prepend-file" onclick="window.open(this.href, '', 'resizable=yes,status=no,location=yes,toolbar=no,menubar=no,fullscreen=no,scrollbars=no,dependent=no,width=800,left=100,height=600,top=50'); return false;"><strong>auto_prepend</strong></a> directives if automatic reflex loading is to be used. The vast majority will do so. We have so far encountered only two which do not, out of many tested.&nbsp; Auto_prepend is a standard php feature, however since the &#39;big three&#39; CMS don&#39;t use it, it&#39;s quite possible to find that it&#39;s been given the snip by a hostmaster with a &#39;delete everything not needed for greater security&#39; philosophy. Thankfully this is relatively rare, but is worth mentioning in case it leads to wasted money on unsuitable hosting.</p>

<p>If you can&#39;t get reflex loading to work as standard all is not lost, but you will need to add a shebang (prepend directive) to each webpage. This can be made automatic for files created in the online editor.</p>

<p>We host most of our client sites on <strong><a href="http://siteground.com" onclick="window.open(this.href, '', 'resizable=yes,status=no,location=yes,toolbar=no,menubar=no,fullscreen=no,scrollbars=no,dependent=no,width=800,left=100,height=600,top=50'); return false;">Siteground</a></strong> space, which is a CGI php implementation. Hence, for Siteground the prepend directive must be in php.ini, and not in .htaccess. The Hyperframe distribution is set so, and&nbsp; will work straight from the zip on Siteground, so long as a single-directory site structure is acceptable. For multi-directory sites, see the advanced documentation.</p>

<h2>Page editing Requirements</h2>

<h3><br />
&nbsp;Equipment</h3>

<p>&nbsp; Any modern operating system<br />
&nbsp; Modern browser; Mozilla Firefox 22 or later recommended.<br />
&nbsp; Screen resolution larger than the page being edited</p>

<h3>&nbsp;Personnel&nbsp;</h3>

<p>&nbsp; Familiarity with webserver directory structure and file types<br />
&nbsp; Familiarity with HTML4/5 and basic css<br />
&nbsp; Familiarity with .ini configuration files<br />
&nbsp; Some knowledge of php and javascript is helpful but not essential</p>

<h3>Browser compatibility for page editing</h3>

<p style="margin-left: 40px;">Mozilla Firefox, version 22 or later, is the de facto browser used for testing.&nbsp; Use of other browsers for editing (as opposed to viewing) pages is generally possible, though please note that Mozilla browsers are the only <em>approved</em> editing platform, so results may vary.</p>

<p style="margin-left: 40px;">Other Mozilla browsers such as Seamonkey are generally suitable, being based on the same rendering engine it is unlikely there will be any issues.</p>

<p style="margin-left: 40px;">For Apple Mac users, the latest Safari browser supports all editing functions except image drag-to-resize.</p>

<p style="margin-left: 40px;">Linux users may edit with Firefox or Iceweasel (Which is effectively the same browser)</p>

<p style="margin-left: 40px;">Google Chrome (or its open source derivative SRWare Iron) appear to support all editing functions with the exception of image drag-to-resize.</p>

<p style="margin-left: 40px;">Opera does not appear to support some functions required for page editing, and is not advised.</p>

<p style="margin-left: 40px;">Safari for Windows is now a very out-of-date version compared to the Mac release, and may not give good editing support.&nbsp;</p>

<p style="margin-left: 40px;">Microsoft Internet Explorer 11 appears to edit pages satisfactorily. Earlier versions (IE8 or later) may work but their use is not advised.</p>

<p>If you are unfortunate enough to be constrained by office IT rules to use a specific OS or browser, then version 11 of IE should be OK, but use of anything earlier to edit pages is strongly advised against. The sensible thing in this case is to persuade your IT admin to install the latest Firefox for you. Or, get a copy of <a href="http://portableapps.com/apps/internet/firefox_portable" target="_blank">Firefox Portable</a> which will run on XP or later, and does not require admin priveleges or installation. (Best clear this with IT first though)</p>

<h2>Site visitor requirements</h2>

<p>&nbsp;Any modern browser on most desktop or mobile platforms<br />
&nbsp;Support for textreaders or non-javascript browsers is provided via sitemap navigation</p>

<p><sub><strong>Note to Windows XP users:</strong> Hyperframe is fully compatible with Windows XP so long as a modern browser is used. Internet Explorer 8 -the most recent Microsoft browser available for XP- gives an acceptable rendition of a site for viewing purposes. IE6 or 7 or earlier may exhibit some layout quirks but should render the site readably. Editing of pages is possible under IE8, but not recommended. We appreciate that some corporate sites have to use very old Microsoft browsers for compatibility with intranet software, and in that case the sensible approach is to install a more recent version of Firefox for browsing websites, but retain IE as the default. </sub></p>

<h2>Licensing</h2>

<p>Hyperframe !CMS is distributed under the <a href="codebase/license.txt" target="_blank">Mozilla Public License 2.0</a> This is similar to the GPL, but allows greater freedom as regards the creation of derivative commercial products such as professsionally-built client websites.</p>

<h2>Cookie Requirements</h2>

<p>Hyperframe sets a session cookie for both viewing and editing sessions. This cookie is not essential for viewing, but is essential for proper editing function. The session cookie is deleted when all windows and processes of the browser instance are fully closed. No persistent cookies are set by Hyperframe.</p>

<p><strong>&nbsp;EU Law: </strong><br />
Our understanding is that for users in the European Union, session cookies do <em>not</em> require a cookie warning to be posted on the site, because these cookies are regarded as temporary, and therefore are not a means of tracking the user&#39;s browsing habits beyond the current session. Thus, Hyperframe sites need not carry these intrusive and annoying notices <em>unless</em> they also contain other software which sets persistent cookies. Be aware, though, that third party software or add-ons may set persistent cookies, in which case EU Law requires such a notice. This would typically arise if your Hyperframe site includes a forum, Google advertising or stats-gathering code or suchlike. If in doubt, check the browser&#39;s cookie manager to see what is being installed.</p>

<p>&nbsp;</p>

</body></html>